## NAME

         curl_formfree  -  free a previously build multipart/formdata
         HTTP POST chain

## SYNOPSIS

         #include <curl/curl.h>

         void curl_formfree(struct HttpPost *form);

## DESCRIPTION

         curl_formfree()  is  used  to  clean  up   data   previously
         built/appended  with  curl_formadd()/curl_formparse().  This
         must be called when the data has been used, which  typically
         means after the curl_easy_perform() has been called.

## RETURN VALUE

         None

## SEE ALSO

         curl_formparse(3) [deprecated], curl_formadd(3)

## BUGS

         libcurl  7.7.1  and  earlier  versions does not allow a NULL
         pointer to be used as argument.